#
# Cookbook:: esh_undocker
# Resource:: service
#
# Copyright:: 2022, https://easyself.host
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

unified_mode true
property :image, String, name_property: true
property :content, String, required: true
default_action :service

action :service do
  image = new_resource.image
  content = new_resource.content

  apt_package 'systemd-container'

  systemd_unit "#{image}.service" do
    content content
    verify false
    action [:create, :enable, :start]
  end

  service "#{image}.service" do
    action :nothing
    subscribes :restart, "systemd_unit[#{image}.service]", :immediately
  end
end
